<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for HotelAvail StructType
 * @subpackage Structs
 */
class HotelAvail extends AbstractStructBase
{
    /**
     * The HotelAvailRQ
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_HotelAvail
     */
    public $HotelAvailRQ;
    /**
     * Constructor method for HotelAvail
     * @uses HotelAvail::setHotelAvailRQ()
     * @param \StructType\JP_HotelAvail $hotelAvailRQ
     */
    public function __construct(\StructType\JP_HotelAvail $hotelAvailRQ = null)
    {
        $this
            ->setHotelAvailRQ($hotelAvailRQ);
    }
    /**
     * Get HotelAvailRQ value
     * @return \StructType\JP_HotelAvail|null
     */
    public function getHotelAvailRQ()
    {
        return $this->HotelAvailRQ;
    }
    /**
     * Set HotelAvailRQ value
     * @param \StructType\JP_HotelAvail $hotelAvailRQ
     * @return \StructType\HotelAvail
     */
    public function setHotelAvailRQ(\StructType\JP_HotelAvail $hotelAvailRQ = null)
    {
        $this->HotelAvailRQ = $hotelAvailRQ;
        return $this;
    }
}
